Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Je kunt ook een cookievrije versie van de website bezoeken met minder functionaliteit. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , reacties: 18, views: 8.043 •
Bron: AMD, submitter: uniquorn

Amd Radeon Graphics logo (75 pix)Sinds de 12.6-drivers heeft AMD ondersteuning voor kaarten uit de HD 2000-, 3000- en 4000-series uit de reguliere drivers verwijderd. Ondersteuning voor deze kaarten is verhuisd naar de zogeheten legacy-support. Dat houdt onder meer in dat er geen nieuwe functionaliteit meer aan wordt toegevoegd, maar dat de drivers enkel bugfixes bevatten. Release notes zijn bij deze drivers niet vrijgegeven, dus welke problemen precies verholpen zijn, kunnen we je niet vertellen.

De volgende downloads zijn beschikbaar:
*AMD Catalyst 13.1 Legacy voor Windows XP (32bit)
*AMD Catalyst 13.1 Legacy voor Windows XP (64bit)
*AMD Catalyst 13.1 Legacy voor Windows Vista en 7 (32bit)
*AMD Catalyst 13.1 Legacy voor Windows Vista en 7 (64bit)

AMD Vision Engine Control Center screenshot (620 pix)

Reacties (18)

Netjes dat AMD ook de oudere videokaarten (drivers) nog voorziet van bugfixes.
Zou oud zijn ze ook weer niet, 4200 igp word nog steeds verkocht in de am3+ serie, 785g chipset.

Mijn laptop heeft ook een 785g en die is nog geen twee jaar oud, zou eigenlijk te gek zijn dat ze hun fouten in de software dan niet meer oplossen voor de klanten, eigenlijk zijn ze het wettelijk verplicht om tot twee jaar mankementen aan de product te fixen, want ook software is onderdeel van je gekochten product, zonder software werkt de hardware niet naar behoren en is het product dus in gebreken.

Wij laten ons veel te gemakkelijk af poederen door fabrikanten, sommige hebben openlijk maling aan de wetten zoals Apple en garantie termijn, zouden veel harder en vooral ook veel eerder gestopt moeten worden, ze lachen zich rot als ze naar paar jaar paar miljoen boete moeten betalen en ze voor tientallen miljoenen in hun zak hebben kunnen houden door niet aan de wet gehoorzamen.
Ze geven aan geen nieuwe features voor deze modellen te introduceren, dat iets heel anders dan bugs niet meer fixen...

Ik verwacht dat AMD features wil introduceren in hun drivers waarvoor pre-hd5000 series gewoonweg niet geschikt is, dan is het verstandig om de 2 van elkaar te scheiden.

Ik begrijp je frustratie rondom Apple maar ik kan deze moeilijk in hetzelfde hokje plaatsen als deze actie van AMD.
Ze geven aan geen nieuwe features voor deze modellen te introduceren, dat iets heel anders dan bugs niet meer fixen...

Ik verwacht dat AMD features wil introduceren in hun drivers waarvoor pre-hd5000 series gewoonweg niet geschikt is, dan is het verstandig om de 2 van elkaar te scheiden.

Ik begrijp je frustratie rondom Apple maar ik kan deze moeilijk in hetzelfde hokje plaatsen als deze actie van AMD.
Lees mijn post nog eens, want alles aan jou reactie op mijn bericht is niet correct, ik zeg iets heel anders dan waar jij antwoord op geeft.

1.Ik zeg duidelijk dat het te gek zou zijn als je geen fixen meer uitbrengen voor 4000 serie, niemand spreek over features.
2. AMD/ATI heeft altijd al Legacy drivers uitgebracht(vanaf Radeon 8500), Legacy drivers zijn drivers waar alleen nog maar bugs worden gefixed, ondersteuning is dus alleen nog maar bug fixen. Daarom slaat je eerste zin ook nergens op. ;)
3.Ik vergelijk AMD niet met Apple, hoe kan je dat uit mijn post halen, :D

"AMD may periodically provide Windows XP and Windows Vista driver updates (for the products listed above) for critical fixes only. No new features will be provided in future driver updates. The Linux ATI Catalyst™ driver will only be supported in Linux distributions prior to February 2009 for the legacy products listed above."

[Reactie gewijzigd door mad_max234 op 11 februari 2013 15:43]

La-rie-koek. Ze ondersteunen de producten juist wel door deze updates uit te brengen! Prachtig toch!

Dat er geen nieuwe features bijkomen heeft niets met wettelijke garantie te maken. Sterker nog, ik twijfel er sterk aan of driver updates daar wel bij horen - volgens mij hoeven de fabrikanten dat niet eens te doen. Natuurlijk is het geen optie om er mee te stoppen, gezien dat je al je klanten zou kosten als bedrijf.

Het enige "jammere" aan het geheel vind ik dat dit niet gewoon bij de normale packages is inbegrepen. Nu moet je op zoek naar de legacy package. Een kleine moeite, maar ik heb de fout nog wel eens gemaakt om de verkeerde te downloaden etc. :)
dit kan prima aan jouw Windows liggen of een brakke installatie van vorige versies.
Ik heb een lange tijd precies hetzelfde probleem gehad met mijn HD 7770 kaartjes. Errors bij het opstarten en afsluiten van windows. Dit waren echter wel een stuk oudere drivers (12.x, ongeveer een maand of 11 geleden.)
Ik zou ff de drivers deinstalleren, driver sweeper gebruiken en dan de nieuwe drivers installeren.
Driversweeper maakt mee kapot dan je lief is. Gewoon dit gebuiken, genaamd "catalyst uninstall utility" : http://sites.amd.com/us/g...st-uninstall-utility.aspx
leuk drivers voor 'oude' hardware ook in het nieuwe jasje :-) ook goed voor windows 8 en zo :-)
Wat ik me hier afvraag is of de legacy versie voor linux ook ondersteuning voor nieuwe x.org aan oudere grafische kaarten toebedeeld gezien dit voor linux gebruikers met een oudere kaart bijna een must is, veel belangrijker dan wat kleine updates die je voor windows hebt, zonder die ondersteuning is het een heel gedoe om die kaarten berhaupt op nieuwere distro's te laten werken.
Van een ander forum:
BS, well you must also like 12.6 then, because it's just a placebo, because your still using 12.6. and no your not missing much ankinferno...

Your not gonna like this ppl...I'm seriously not even gonna waste my time with it...

atiumdag.dll DX9 same version as 12.6
atidxx.dll DX10/11 same version as 12.6
aticfx.dll same version as 12.6

video decoding .dll's same as 12.6 green screens included.
atikmdag.sys same as 12.6 - 2nd ASIC clocks still broken.
ATI stream cal's same as 12.6

Newer CCC, Newer OpenGL .dll .11672 and slightly newer OpenCL although both still older than my drivers at .11774 OpenGL and 983.2 OpenCL.

Calling it 13.1 is a complete joke..there is nothing new to benefit newer games especially in crossfire like FC3 etc. It's more like a 12.6.1, with minor changes at that...

Thanks for them anyway, nothing new to see here though since 18th April 2012 ppl... I think i'll pass...
Lijkt dus meer een kleine facelift...
Bovenstaande kan ik bevestigen.

Ik draai nog 12.8 voor de HD3000, dat was tot nu toe de enige compatible driver van AMD voor Windows8. Als ik de installer run, staat bij elk onderdeel dat ik al de laatste versie heb. Alleen de Catalyst Control Center is geupdate...

Wel jammer, want ik ben al tegen vreemde vastlopers / hickups aangelopen, waar ik bij Windows7 geen last van had.
Waar beweert AMD iets anders, dan? "Nothing new to benefit newer games" - allicht. Dat zeggen ze zelf immers ook al - bugfixes only. Bovendien moet je je afvragen hoeveel benefit er nog uit die oude kaartjes te persen is, nu alles serieus naar DX11 begint te schakelen.
Heb de oudere driver totaal moeten aanpassen kbsync crashte ondanks een schone installatie bij opstarten PC dus geen GPU ondersteuning voor drag en drop video conversie en ati control manager was niet op te starten.


Bovenstaande van MikeyMan doet de AMD naam geen goed dat is overduidelijk.

Jammer te moeten zien dat AMD zijn gebruikers zo slecht ondersteunt in deze en dat is geen AMD flaim bait daar ik zelf al jarenlang AMD producten met plezier gebruik, maar op deze manier wordt het plezier wel stukken minder.

[Reactie gewijzigd door Kees de Jong op 11 februari 2013 19:02]

Voor Linux gebruikers met een HD4xxx kaart of lager zijn nog slechter af.. In Ubuntu 12.10 is het al niet meer mogelijk om de drivers te installeren zonder eerst x.org te downgraden en de kernel te patchen (wat gelukkig vrij eenvoudig is doordat iemand een PPA heeft gemaakt waarmee dit automatisch gaat!).

Maar dan nog zitten er een aantal heel vervelende bugs in waardoor ik nu bijna verplicht de open source drivers moet gebruiken. Die doen het op zich prima, alleen de performance in games is toch niet zo goed als met de officiele drivers...
Nog slechter af?

Ik heb nota bene de hele driver moeten aanpassen zodat deze wel goed werkte.

Op dit item kan niet meer gereageerd worden.



Populair: Tablets Mobiele netwerken Gamecontrollers Smartphones Sony Apple Microsoft Games Consoles Politiek en recht

© 1998 - 2014 Tweakers.net B.V. Tweakers is onderdeel van De Persgroep en partner van Computable, Autotrack en Carsom.nl Hosting door True

Beste nieuwssite en prijsvergelijker van het jaar 2013